<?php
/** @var \FuzeWorks\Authentication\Model\Session $session */
?>
<h1 title="Authentication">Session info:</h1>
<div class="tracy-inner">
    <table>
        <?php
        if (!is_null($session->user->id)) { ?>
        <tr class='fuzeworks-authTable'>
            <th>Key</th>
            <th>Value</th>
        </tr>

        <tr><td>UserID</td><td><?= $session->user->id ?></td></tr>
        <tr><td>Email</td><td><?= htmlspecialchars($session->user->primaryEmail, ENT_QUOTES, 'UTF-8') ?></td></tr>
        <tr><td>SessionKey</td><td><?= htmlspecialchars($session->sessionKey, ENT_QUOTES, 'UTF-8') ?></td></tr>
        <tr><td>Persistent</td><td><?= ($session->persistent ? 'true' : 'false') ?></td></tr>
        <tr><td>Expire</td><td><?= date('d M Y H:i', $session->expiryDate) ?></td></tr>
        <tr><td>Update</td><td><?= date('d M Y H:i', $session->expiryThreshold) ?></td></tr>
        <tr><td>Permissions</td><td><?= implode(', ', $session->user->permissions) ?></td></tr>

    </table>
    <?php
    }
    ?>
</div>
